searchData={"content_type":"text/markdown","items":[{"doc":"","ref":"DataTable.html","title":"DataTable","type":"module"},{"doc":"","ref":"DataTable.html#assign_render_data/1","title":"DataTable.assign_render_data/1","type":"function"},{"doc":"","ref":"DataTable.html#assigns_to_spec/1","title":"DataTable.assigns_to_spec/1","type":"function"},{"doc":"","ref":"DataTable.html#do_query/1","title":"DataTable.do_query/1","type":"function"},{"doc":"","ref":"DataTable.html#field_by_str_id/2","title":"DataTable.field_by_str_id/2","type":"function"},{"doc":"","ref":"DataTable.html#handle_event/3","title":"DataTable.handle_event/3","type":"function"},{"doc":"","ref":"DataTable.html#id_to_string/1","title":"DataTable.id_to_string/1","type":"function"},{"doc":"","ref":"DataTable.html#live_data_table/1","title":"DataTable.live_data_table/1","type":"function"},{"doc":"* `id` (`:any`) (required) - `live_data_table` is a stateful component, and requires an `id`.\n  See `LiveView.LiveComponent` for more information.\n\n* `source` (`:any`) (required) - .\n* `nav` (`:any`) - Override the navigation state of the table.\n  Most likely only present when `handle_nav` is also present.\n\n  `nil` will be counted as no change.\n\n* `handle_nav` (`:any`) - Called when the navigation state of the table has changed.\n  If present, the navigation data should be passed back into the `nav` parameter.\n\n* `always_columns` (`:list`) - A list of column ids that will always be loaded.","ref":"DataTable.html#live_data_table/1-attributes","title":"Attributes - DataTable.live_data_table/1","type":"function"},{"doc":"* `col` - One `:col` should be sepecified for each potential column in the table. Accepts attributes:\n\n  * `name` (`:string`) (required) - Name in column header. Must be unique.\n  * `visible` (`:boolean`) - Default visibility of the column.\n  * `fields` (`:list`) - List of `field`s that will be queried when this field is visible.\n  * `filter_field` (`:atom`) - If present, cells will have a filter shortcut. The filter shortcut\n    will apply a filter for the specified field. Defaults to the first\n    field in `fields`.\n\n  * `filter_field_op` (`:atom`) - The filter op type which will be used for the cell filter shortcut.\n  * `sort_field` (`:atom`) - If present, columns will be sortable. The sort will occur on\n    the specified field. Defaults to the first field in `fields`.\n\n* `row_expanded` - Markup which will be rendered when a row is expanded. Accepts attributes:\n\n  * `fields` (`:list`) - List of `field`s that will be queried when a row is expanded.\n* `top_right` - Markup in the top right corner of the table.\n* `row_buttons` - Markup in the rightmost side of each row in the table. Accepts attributes:\n\n  * `fields` (`:list`) - List of `field`s that will be queried when this field is visible.\n* `selection_action` - Accepts attributes:\n\n  * `label` (`:string`) (required)\n  * `handle_action` (`:any`) (required)","ref":"DataTable.html#live_data_table/1-slots","title":"Slots - DataTable.live_data_table/1","type":"function"},{"doc":"","ref":"DataTable.html#mount/1","title":"DataTable.mount/1","type":"function"},{"doc":"","ref":"DataTable.html#render/1","title":"DataTable.render/1","type":"function"},{"doc":"","ref":"DataTable.html#update/2","title":"DataTable.update/2","type":"function"},{"doc":"","ref":"DataTable.Assigns.html","title":"DataTable.Assigns","type":"module"},{"doc":"","ref":"DataTable.Assigns.html#t:selection/0","title":"DataTable.Assigns.selection/0","type":"type"},{"doc":"","ref":"DataTable.Assigns.html#t:t/0","title":"DataTable.Assigns.t/0","type":"type"},{"doc":"","ref":"DataTable.Components.html","title":"DataTable.Components","type":"module"},{"doc":"","ref":"DataTable.Components.html#checkbox/1","title":"DataTable.Components.checkbox/1","type":"function"},{"doc":"* `state` (`:atom`)\n* `on_toggle` (`:string`) - Defaults to `nil`.\n* Global attributes are accepted.","ref":"DataTable.Components.html#checkbox/1-attributes","title":"Attributes - DataTable.Components.checkbox/1","type":"function"},{"doc":"Generates a generic error message.","ref":"DataTable.Components.html#error/1","title":"DataTable.Components.error/1","type":"function"},{"doc":"* `inner_block` (required)","ref":"DataTable.Components.html#error/1-slots","title":"Slots - DataTable.Components.error/1","type":"function"},{"doc":"","ref":"DataTable.Components.html#input/1","title":"DataTable.Components.input/1","type":"function"},{"doc":"* `id` (`:any`) - Defaults to `nil`.\n* `name` (`:any`)\n* `label` (`:string`) - Defaults to `nil`.\n* `value` (`:any`)\n* `type` (`:string`) - Defaults to `\"text\"`.\n* `field` (`Phoenix.HTML.FormField`) - a form field struct retrieved from the form, for example: @form[:email].\n* `errors` (`:list`) - Defaults to `[]`.\n* `checked` (`:boolean`) - the checked flag for checkbox inputs.\n* `prompt` (`:string`) - the prompt for select inputs. Defaults to `nil`.\n* `options` (`:list`) - the options to pass to Phoenix.HTML.Form.options_for_select/2.\n* `multiple` (`:boolean`) - the multiple flag for select inputs. Defaults to `false`.\n* Global attributes are accepted.","ref":"DataTable.Components.html#input/1-attributes","title":"Attributes - DataTable.Components.input/1","type":"function"},{"doc":"* `inner_block`","ref":"DataTable.Components.html#input/1-slots","title":"Slots - DataTable.Components.input/1","type":"function"},{"doc":"Renders a label.","ref":"DataTable.Components.html#label/1","title":"DataTable.Components.label/1","type":"function"},{"doc":"* `for` (`:string`) - Defaults to `nil`.","ref":"DataTable.Components.html#label/1-attributes","title":"Attributes - DataTable.Components.label/1","type":"function"},{"doc":"* `inner_block` (required)","ref":"DataTable.Components.html#label/1-slots","title":"Slots - DataTable.Components.label/1","type":"function"},{"doc":"","ref":"DataTable.Components.html#table_container/1","title":"DataTable.Components.table_container/1","type":"function"},{"doc":"* `inner_block`","ref":"DataTable.Components.html#table_container/1-slots","title":"Slots - DataTable.Components.table_container/1","type":"function"},{"doc":"","ref":"DataTable.Ecto.html","title":"DataTable.Ecto","type":"module"},{"doc":"","ref":"DataTable.Ecto.Fragment.html","title":"DataTable.Ecto.Fragment","type":"module"},{"doc":"","ref":"DataTable.Ecto.Query.html","title":"DataTable.Ecto.Query","type":"module"},{"doc":"","ref":"DataTable.Ecto.Query.html#columns/3","title":"DataTable.Ecto.Query.columns/3","type":"macro"},{"doc":"","ref":"DataTable.Ecto.Query.html#filters/2","title":"DataTable.Ecto.Query.filters/2","type":"macro"},{"doc":"Functions exactly like `Ecto.Query.from/2`, but with some minor modifications:\n * The `:columns` key is used instead of `select` and `select_merge`\n * `select` and `select_merge` are not accepted\n * You can specify which column will be used as the id using the `:id` keyword\n * Filterable columns are specified using `filters`","ref":"DataTable.Ecto.Query.html#from/2","title":"DataTable.Ecto.Query.from/2","type":"macro"},{"doc":"","ref":"DataTable.Ecto.Query.html#from/2-filters","title":"Filters - DataTable.Ecto.Query.from/2","type":"macro"},{"doc":"","ref":"DataTable.Ecto.Query.html#key/2","title":"DataTable.Ecto.Query.key/2","type":"macro"},{"doc":"","ref":"DataTable.Filters.html","title":"DataTable.Filters","type":"module"},{"doc":"","ref":"DataTable.Filters.html#changeset/3","title":"DataTable.Filters.changeset/3","type":"function"},{"doc":"","ref":"DataTable.Filters.html#filter_changeset/3","title":"DataTable.Filters.filter_changeset/3","type":"function"},{"doc":"","ref":"DataTable.Filters.html#map_valid/2","title":"DataTable.Filters.map_valid/2","type":"function"},{"doc":"","ref":"DataTable.Filters.html#validate_value/2","title":"DataTable.Filters.validate_value/2","type":"function"},{"doc":"","ref":"DataTable.Filters.Filter.html","title":"DataTable.Filters.Filter","type":"module"},{"doc":"","ref":"DataTable.NavState.html","title":"DataTable.NavState","type":"module"},{"doc":"","ref":"DataTable.NavState.html#cycle_sort/3","title":"DataTable.NavState.cycle_sort/3","type":"function"},{"doc":"","ref":"DataTable.NavState.html#decode/3","title":"DataTable.NavState.decode/3","type":"function"},{"doc":"","ref":"DataTable.NavState.html#default/1","title":"DataTable.NavState.default/1","type":"function"},{"doc":"","ref":"DataTable.NavState.html#encode/2","title":"DataTable.NavState.encode/2","type":"function"},{"doc":"","ref":"DataTable.NavState.html#filters/1","title":"DataTable.NavState.filters/1","type":"function"},{"doc":"","ref":"DataTable.NavState.html#put_page/2","title":"DataTable.NavState.put_page/2","type":"function"},{"doc":"","ref":"DataTable.NavState.html#put_sort/3","title":"DataTable.NavState.put_sort/3","type":"function"},{"doc":"","ref":"DataTable.NavState.html#t:t/0","title":"DataTable.NavState.t/0","type":"type"},{"doc":"","ref":"DataTable.Source.html","title":"DataTable.Source","type":"behaviour"},{"doc":"","ref":"DataTable.Source.html#filter_types/1","title":"DataTable.Source.filter_types/1","type":"function"},{"doc":"","ref":"DataTable.Source.html#filterable_columns/1","title":"DataTable.Source.filterable_columns/1","type":"function"},{"doc":"","ref":"DataTable.Source.html#key/1","title":"DataTable.Source.key/1","type":"function"},{"doc":"","ref":"DataTable.Source.html#query/2","title":"DataTable.Source.query/2","type":"function"},{"doc":"","ref":"DataTable.Source.html#c:query/2","title":"DataTable.Source.query/2","type":"callback"},{"doc":"","ref":"DataTable.Source.html#t:opts/0","title":"DataTable.Source.opts/0","type":"type"},{"doc":"","ref":"DataTable.Source.Query.html","title":"DataTable.Source.Query","type":"module"},{"doc":"","ref":"DataTable.Source.Query.html#t:t/0","title":"DataTable.Source.Query.t/0","type":"type"},{"doc":"","ref":"DataTable.Source.Result.html","title":"DataTable.Source.Result","type":"module"},{"doc":"","ref":"DataTable.Source.Result.html#t:t/0","title":"DataTable.Source.Result.t/0","type":"type"},{"doc":"","ref":"DataTable.TailwindTheme.html","title":"DataTable.TailwindTheme","type":"module"},{"doc":"","ref":"DataTable.TailwindTheme.html#filter_header/1","title":"DataTable.TailwindTheme.filter_header/1","type":"function"},{"doc":"","ref":"DataTable.TailwindTheme.html#generate_pages/3","title":"DataTable.TailwindTheme.generate_pages/3","type":"function"},{"doc":"","ref":"DataTable.TailwindTheme.html#table_body/1","title":"DataTable.TailwindTheme.table_body/1","type":"function"},{"doc":"","ref":"DataTable.TailwindTheme.html#table_footer/1","title":"DataTable.TailwindTheme.table_footer/1","type":"function"},{"doc":"","ref":"DataTable.TailwindTheme.html#table_header/1","title":"DataTable.TailwindTheme.table_header/1","type":"function"},{"doc":"","ref":"DataTable.TailwindTheme.html#top/1","title":"DataTable.TailwindTheme.top/1","type":"function"},{"doc":"","ref":"DataTable.Util.html","title":"DataTable.Util","type":"module"},{"doc":"","ref":"DataTable.Util.html#query_filter/2","title":"DataTable.Util.query_filter/2","type":"function"},{"doc":"","ref":"DataTable.Util.html#query_filters/2","title":"DataTable.Util.query_filters/2","type":"function"},{"doc":"","ref":"DataTable.Util.html#query_page/3","title":"DataTable.Util.query_page/3","type":"function"},{"doc":"","ref":"DataTable.Util.html#query_params/2","title":"DataTable.Util.query_params/2","type":"function"},{"doc":"","ref":"DataTable.Util.html#query_sort/2","title":"DataTable.Util.query_sort/2","type":"function"}]}